import java.lang.*;

//--------------------------------------------------------------------//
/**
 * DLA tN^Aj[V쓮NX
 */
public class DLAAnimator implements Runnable{

/** DLA tN^\LoX */
  protected DLACanvas canvas;

/** \XVXbh */
  protected Thread thread;

/** \XVҋ@ */
  protected int waitTime;

/**
 * DLA tN^Aj[V쓮IuWFNg\z
 */
  public DLAAnimator(DLACanvas canvas,int waitTime){
    this.canvas=canvas;
    this.waitTime=waitTime;
    thread=null;
  }

//--------------------------------------------------------------------//
/**
 * Aj[VJn
 */
  public void start(){
    if(thread==null){
      thread=new Thread(this);
      thread.start();
    }
  }

//--------------------------------------------------------------------//
/**
 * Xbhs
 */
  public void run(){
    DLAModel model=canvas.getModel();
    while((model!=null) && !model.isFinished() && (thread!=null)){
      synchronized(canvas){
      	canvas.repaint();
      }
      try{
      	Thread.sleep(waitTime);
      }
      catch(InterruptedException ex){
      }
    }
  }

//--------------------------------------------------------------------//
/**
 * Aj[V~
 */
  public void stop(){
    thread=null;
  }
}
